Notifications: Not getting notified for reverts if Preview or Show Changes is used
Closed, ResolvedPublic

Description

If a user clicks Preview or Show Changes before hitting Save, then it won't send a notification.

Anomie explains why, in the penultimate comment here:
https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications/Archive_4#Edit_reverts
"Looking at the code, it appears that Echo detects an "undo" by looking for the field wpUndidRevision in the submitted form data. This field is present in the form created when using the 'undo' link, but it isn't maintained if you use the Preview or Show changes buttons on the edit form. So "undo → Save page" would be notified as an undo, while "undo → Preview → Save page" or "undo → Show changes → Save page" wouldn't be. Anomie⚔ 10:43, 18 July 2013 (UTC)"

a second example is mentioned here:
https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications#No_notification


Version: unspecified
Severity: normal

bzimport added a project: Echo.Via ConduitNov 22 2014, 2:07 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz53176.
Quiddity created this task.Via LegacyAug 21 2013, 9:09 PM
gerritbot added a comment.Via ConduitAug 23 2013, 11:00 PM

Change 80680 had a related patch set uploaded by Bsitu:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/80680

gerritbot added a comment.Via ConduitAug 26 2013, 3:32 PM

Change 80680 merged by jenkins-bot:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/80680

gerritbot added a comment.Via ConduitAug 27 2013, 5:40 PM

Change 81264 had a related patch set uploaded by Bsitu:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/81264

gerritbot added a comment.Via ConduitAug 27 2013, 5:42 PM

Change 81265 had a related patch set uploaded by Bsitu:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/81265

gerritbot added a comment.Via ConduitAug 27 2013, 5:57 PM

Change 81264 merged by jenkins-bot:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/81264

gerritbot added a comment.Via ConduitAug 27 2013, 6:47 PM

Change 81265 merged by jenkins-bot:
wpUndidRevision should be passed along during 'preview' and 'diff'

https://gerrit.wikimedia.org/r/81265

Add Comment